<!DOCTYPE html>
<html>
<head>
	<title>Bierlijst</title>
	{% load static %}
	<script type="text/javascript" src="{% static 'bierlijst/jquery/jquery.mobile-1.4.5.min.js' %}"></script>
	
	<meta name="viewport" content="width=device-width, initial-scale=1"> 
	<link rel="stylesheet" type="text/css" href="{% static 'bierlijst/table.css' %}">
	<link rel="stylesheet" href="{% static 'bierlijst/jquery/jquery.mobile-1.4.5.min.css' %}" />
	<script type="text/javascript" src="{% static 'bierlijst/jquery/jquery.min.js' %}"></script>
</head>
<body>

	<h1>Bierlijst</h1>
	
		{% if resident_list %}
			<table class="container">
				<thead>
					<tr>
						<th><h1>Name</h1></th>
						<th style="width: 20%;"><h1>Bier<br/>[Click to drink]</h1></th>
						<th style="width: 20%;"><h1>Crates<br/>[Click when you buy]</h1></th>
						<th style="width: 20%;"><h1>Credit</h1></th>
					</tr>
				</thead>
				<tbody>
			{% for resident in resident_list %}
				<tr>
					<td>{{ resident.name }}</td>
					<td onclick="location.href = '/bierlijst/{{ resident.id }}/drink/'">{{ resident.beers }}</td>
					
					<td onclick="location.href = '/bierlijst/{{ resident.id }}/crate/'">
					{% if resident.crates < 0 %}
						<span class="red">{{ resident.crates }}</span>
					{% else %}
						<span class="green">{{ resident.crates }}</span>
					{% endif %}
					</td>
					
					{% if resident.statiegeld < 0 %}
						<td class="red" onclick="location.href = '/bierlijst/{{ resident.id }}/personalTransactions/'">&euro; {{ resident.statiegeld }}</td>
					{% else %}
						<td class="green" onclick="location.href = '/bierlijst/{{ resident.id }}/personalTransactions/'">&euro; {{ resident.statiegeld }}</td>
					{% endif %}
				</tr>
			{% endfor %}
			</tbody>
			</table>
		{% else %}
			<p>No residents in the house.</p>
		{% endif %}
		<button class="ui-btn">
		Bank balance : 
		{% if bank_balance < 0 %}
			<span class="red">&euro; {{ bank_balance }}</span>
		{% else %}
			<span class="green">&euro; {{ bank_balance }}</span>
		{% endif %}
		</button>

</body>
</html>
